# encoding: utf-8

# File:	clients/ncpserver.ycp
# Package:	Configuration of ncpserver
# Summary:	Main file
# Authors:	Stephen T. Bunch <sbunch@novell.com>
#
# $Id: ncpserver.ycp,v 1.1.2.1 2004/10/07 18:35:01 sbunch Exp $
#
# Main file for ncpserver configuration. Uses all other files.
module Yast
  class NcpserverClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of ncpserver</h3>

      textdomain "novell-ncpserver"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Ncpserver module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "novell-ncpserver/wizards.rb"

      @cmdline_description = {
        "id"         => "ncpserver",
        # Command line help text for the Xncpserver module
        "help"       => _(
          "Configuration of ncpserver"
        ),
        "guihandler" => fun_ref(method(:NcpserverSequence), "any ()"),
        "initialize" => fun_ref(Ncpserver.method(:Read), "boolean ()"),
        "finish"     => fun_ref(Ncpserver.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mapping" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "ncpserver", true)
          @ret = NcpserverAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("Ncpserver module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::NcpserverClient.new.main
