# encoding: utf-8

# File:	include/novell-ncpserver/helps.ycp
# Package:	Configuration of ncpserver
# Summary:	Help texts of all the dialogs
# Authors:	Stephen T. Bunch <sbunch@novell.com>
#
# $Id: helps.ycp,v 1.1.2.4 2005/01/03 17:32:06 sbunch Exp $
module Yast
  module NovellNcpserverHelpsInclude
    def initialize_novell_ncpserver_helps(include_target)
      textdomain "novell-ncpserver"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"  => _(
          "<p><b><big>Initializing NCP Server Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br>\nSafely abort the configuration utility by pressing <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write" => _(
          "<p><b><big>Saving NCP Server Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Abort the save procedure by pressing <b>Abort</b>.\n" +
              "An additional dialog informs whether it is safe to do so.\n" +
              "</p>\n"
          ),
        # Configure1 dialog help 1/2
        "c1"    => _(
          "<p><b><big>Admin name with context</big></b><br>\nEnter the eDirectory Admin name and context, or accept the default. This is the fully distinguished name of a User object with administrative rights to eDirectory.</p>\n"
        ) +
          # Configure1 dialog help 1/2
          _(
            "<p><b><big>Admin password</big></b><br>\nEnter the Admin password, or accept the default. This is the password of the user specified as the eDirectory Admin.</p>\n"
          )
      } 

      # EOF
    end
  end
end
